Data Hooks
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's data webhooks
GET /api/v2/webhook/data HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's data webhooks
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the data hook max 255 characters
My data hookThe description of the data hook max 255 characters
My data hook descriptionSet it true if want to set hash key
falseThe key of the data hook
23n9c22c2vjk2cjn2opv8l2vhiData webhook created successfully
Missing required fields or invalid password
Webhook limit reached
Package not found
POST /api/v2/webhook/data HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 120
{
"name": "My data hook",
"description": "My data hook description",
"is_safe": false,
"hash_key": "23n9c22c2vjk2cjn2opv8l2vhi"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Data webhook details
Missing webhook id
Webhook not found
GET /api/v2/webhook/data/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the data hook max 255 characters
My data hookThe description of the data hook max 255 characters
My data hook descriptionSet it true if want to set hash key
falseThe key of the data hook
23n9c22c2vjk2cjn2opv8l2vhiData webhook updated successfully
Missing webhook id or invalid password
Webhook not found
PUT /api/v2/webhook/data/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 120
{
"name": "My data hook",
"description": "My data hook description",
"is_safe": false,
"hash_key": "23n9c22c2vjk2cjn2opv8l2vhi"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Data webhook deleted successfully
SuccessMissing webhook id
Webhook not found
Webhook is in use by reactions
DELETE /api/v2/webhook/data/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of webhook shares
Missing webhook id
GET /api/v2/webhook/data/{id}/shares HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Paginated LLM reactions
Missing webhook id, page, or limit
GET /api/v2/webhook/data/{id}/llm-reactions?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Paginated code reactions
Missing webhook id, page, or limit
GET /api/v2/webhook/data/{id}/code-reactions?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The user id of the user to share the webhook with
23n9c22c2vjk2cjn2opv8l2vhiWebhook shared successfully
Missing webhook/user id, invalid permission, or not friends
Webhook not found
POST /api/v2/webhook/data/share/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 39
{
"userId": "23n9c22c2vjk2cjn2opv8l2vhi"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
User ID to unshare with
Share removed successfully
SuccessMissing webhook/user id or not friends
Webhook not found
DELETE /api/v2/webhook/data/share/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"userId": "text"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
ACTIVEPossible values: Status updated successfully
SuccessMissing webhook id or invalid status
Webhook limit reached
Webhook not found
PUT /api/v2/webhook/data/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "ACTIVE"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of shared data webhooks accessible to user
GET /api/v2/webhook/data/shared HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of shared data webhooks accessible to user
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
User ID to get data webhooks shared with
List of data webhooks shared with specified user
Missing user id
Friendship not found
GET /api/v2/webhook/data/shared/with/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
User ID to get data webhooks shared by
List of data webhooks shared by specified user
Missing user id
Friendship not found
GET /api/v2/webhook/data/shared/by/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]Last updated